.menu {
    width: 100%;
    display: flex;
    gap: 15px;
    margin-top: 30px;

    &__button {
        display: flex;
        flex-direction: column;
        margin: 0 auto;
        background: none;
        justify-content: space-between;
        padding: 25px;
        max-width: 246px;
        width: 100%;
        gap: 8px;
        border-radius: 20px;
        border: 1px solid #C7C7C7;
        @include font300;
        font-size: 15px;
        color: #585858;
        width: 100%;
        align-items: center;
        
        
        &--img {
            margin: 0 auto;
            max-height: 35px;
        }


        &.main {
            background-color: #6AD245;
            border-style: none;   
            color: white;
            @include font700;

            & > .menu__button--img {
                color: white;
            }
        }

        &.favorite {
            background-color: #D84545;
            border-style: none;
            color: white;
            @include font700;

            & > .menu__button--img {
                color: white;
            }
        }

        &.history {
            background-color: #2DEAE4;
            border-style: none;
            color: white;
            @include font700;

            & > .menu__button--img {
                color: white;
                @include font700;
            }
        }

        &.change {
            background-color: #4F8AE2;
            border-style: none;
            color: white;
            @include font700;

            & > .menu__button--img {
                color: white;
            }
        }

        &.subscribe {
            background-color: #EF9F42;
            border-style: none;
            color: white;
            @include font700;

            & > .menu__button--img {
                color: white;
            }
        }


    }



    &__head {
        font-family: 'Comfortaa-300';
        font-weight: 300;
        font-size: 15px;
        color: #585858;
        width: 100%;
    }

    &__history {
        display: flex;
        flex-direction: column;
        margin: 80px auto;
        gap: 30px;

        &--date {
            color: #585858;
        }
    }

    &__order {
        width: 630px;
        max-width: 640px;
        display: flex;
        flex-direction: column;
        box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
        border-radius: 20px;
        padding: 30px;
        gap: 20px;
    }

    &__inform {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        margin-top: 5px;
        &--head {
            color: black;
            font-size: 17px;
        }

        &--sum {
            font-family: 'Comfortaa-500';
            font-weight: 500;
        }

        &--info {
            padding: 10px;
            border-radius: 10px;
            background-color: #F2F2F2;
            color: #585858;
        }

        &--done {
            background-color: #E9FFE7;
            color: #23F911;
        }
    }

    &__summing {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    &__product {
        display: flex;
        align-items: center;
        gap: 20px;

        &--img {
            max-width: 100px;
            max-height: 100px;
        }

        &--name {
            color: black;
        }
    }

    &__subscribe {
        margin: 80px auto;
        width: 630px;
        max-width: 630px;
        padding: 50px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
        border-radius: 20px;

        &--head {
            color: black;
            font-family: 'Comfortaa-500';
            font-weight: 500;
            font-size: 17px;
        }
    }

    &__email {
        color: black;

        &--change {
            font-family: 'Comfortaa-700';
            font-weight: 700;
            margin-top: 5px;
            color: $bubu-pink;
            text-decoration: underline;
        }
    }
}